de.caff.generics

## Class LongIndexable.Base

- java.lang.Object
- - de.caff.generics.LongIndexable.Base

- All Implemented Interfaces:
    LongIndexable, PrimitiveLongIterable, Sizeable, java.lang.Comparable<LongIndexable>, java.lang.Iterable<java.lang.Long>
  Direct Known Subclasses:
    MutableLongIndexable.Base
  Enclosing interface:
    LongIndexable

      public abstract static class LongIndexable.Base
      extends java.lang.Object
      implements LongIndexable, java.lang.Comparable<LongIndexable>

  Abstract base class which provides useful implementations for `Object.equals(Object)`, `Object.hashCode()`, `Object.toString()`. It also provides `Comparable.compareTo(Object)`.
  See Also:
    `LongIndexable.asBase()`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface de.caff.generics.LongIndexable

      `LongIndexable.Base, LongIndexable.LongIndexableSpliterator`

  - ### Field Summary

    - ### Fields inherited from interface de.caff.generics.LongIndexable

      `EMPTY`

    - ### Fields inherited from interface de.caff.generics.PrimitiveLongIterable

      `EMPTY_LONG_ITERATOR`

    - ### Fields inherited from interface de.caff.generics.Sizeable

      `NULL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Base()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LongIndexable.Base` | `asBase()` Make this long integer indexable usable as a class with defined standard Object methods.
    `int` | `compareTo(LongIndexable o)`
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.caff.generics.LongIndexable

      `addAllTo, addToArray, addToArray, asCollection, asIndexable, asList, binarySearch, binarySearch, compare, compareUnsigned, emptyIndexable, equal, equal, firstMatch, foldLeft, frozen, frozenLongSpliterator, get, getMod, gyt, hash, headSet, indexes, init, initByIndex, intIndexes, isEmpty, isOrdered, isStrictlyOrdered, iterator, lastMatch, listIterator, longIterator, longIterator, longSpliterator, nextMatch, ordered, ordered, previousMatch, reverse, rotated, singleton, subSet, sybSet, tailSet, toArray, toList, toString, view, viewArray, viewArray, viewArray, viewAsBoolean, viewAsByte, viewAsDouble, viewAsDouble, viewAsFloat, viewAsInt, viewAsInt, viewAsShort, viewByIndex, viewIndexable, viewIndexable, viewIndexable, viewList, viewList, viewList, viewNumberArray, viewOp, withAppendedValue, withCachedHash, withExchangedValueAt, withInsertedValueAt, withRemovedValueAt, withSwappedValuesAt`

    - ### Methods inherited from interface de.caff.generics.PrimitiveLongIterable

      `average, containsLong, forEachLong, forEachLongFragile, spliterator, stream, sum, sumX`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface de.caff.generics.Sizeable

      `size`

- - ### Constructor Detail

    - #### Base

          public Base()

  - ### Method Detail

    - #### compareTo

          public int compareTo(@NotNull
                               LongIndexable o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<LongIndexable>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### asBase

          @NotNull
          public LongIndexable.Base asBase()

      Description copied from interface: `LongIndexable`
      Make this long integer indexable usable as a class with defined standard Object methods.
      Specified by:
        `asBase` in interface `LongIndexable`
      Returns:
        based version of this indexable